import request from '@/utils/request'

// 查询直播列表
export function listLiveBroadcast(query) {
  return request({
    url: '/hezhi/liveBroadcast/list',
    method: 'get',
    params: query
  })
}

// 查询直播详细
export function getLiveBroadcast(liveBroadcastId) {
  return request({
    url: '/hezhi/liveBroadcast/' + liveBroadcastId,
    method: 'get'
  })
}

// 新增直播
export function addLiveBroadcast(data) {
  return request({
    url: '/hezhi/liveBroadcast',
    method: 'post',
    data: data
  })
}

// 修改直播
export function updateLiveBroadcast(data) {
  return request({
    url: '/hezhi/liveBroadcast',
    method: 'put',
    data: data
  })
}

// 删除直播
export function delLiveBroadcast(liveBroadcastId) {
  return request({
    url: '/hezhi/liveBroadcast/' + liveBroadcastId,
    method: 'delete'
  })
}
